LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
DataSeries.idl File Reference
`import "com/sun/star/beans/PropertySet.idl";`
`import "com/sun/star/container/XIndexContainer.idl";`
`import "com/sun/star/container/XContainer.idl";`
`import "com/sun/star/chart2/DataPointProperties.idl";`
`import "com/sun/star/chart2/StackingDirection.idl";`
`import "com/sun/star/chart2/XDataSeries.idl";`
`import "com/sun/star/chart2/XRegressionCurveContainer.idl";`
`import "com/sun/star/chart2/data/XDataSink.idl";`
`import "com/sun/star/chart2/data/XDataSource.idl";`

Go to the source code of this file.

## Classes
service | DataSeries
| reflects the model data of the object that has all the information for a DataRenderer to create a visible data series in a chart. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::chart2
| New implementation of Charting diagram interfaces.